<?xml version="1.0" encoding="UTF-8"?>
<flow xmlns="http://www.springframework.org/schema/webflow"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/webflow
        http://saganet.com.mx/webflow/spring-webflow-2.0.xsd">
	
	<view-state id="listado">
		<on-entry>
			<evaluate expression="ClientesC.modelo()" result="viewScope.modelo"></evaluate>
		</on-entry>
		<transition on="agregar" to="agregarEditar">
			<evaluate expression="ClientesC.nuevo()" result="requestScope.cliente"></evaluate>
		</transition>
		<transition on="editar" to="agregarEditar">
			<set name="requestScope.cliente" value="viewScope.modelo.seleccionado"></set>
		</transition>
		<transition on="eliminar">
			<evaluate expression="ClientesC.eliminar(viewScope.modelo.seleccionado)"></evaluate>
			<evaluate expression="ClientesC.modelo()" result="viewScope.modelo"></evaluate>
		</transition>
		<transition on="ordenesPago" to="ordenesPagoSF">
			<set name="requestScope.cliente" value="viewScope.modelo.seleccionado"></set>
		</transition>
	</view-state>
	
	<view-state id="agregarEditar">
		<on-entry>
			<set name="viewScope.cliente" value="requestScope.cliente"></set>
		</on-entry>
		<transition on="cancelar" to="listado"></transition>
		<transition on="guardar" to="terminar">
			<evaluate expression="ClientesC.guardar(viewScope.cliente)"></evaluate>
		</transition>
	</view-state>
	
	<subflow-state id="ordenesPagoSF" subflow="generales/ordenesPago">
		<on-entry>
			<set name="conversationScope.cliente" value="requestScope.cliente"></set>
		</on-entry>
		<transition on="terminarFlujo" to="listado"></transition>
	</subflow-state>
		
	<end-state id="terminar" />

</flow>
